### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information

# Class InternalLoginSitePolicies

java.lang.Object
com.sas.services.information.InternalLoginSitePolicies

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class InternalLoginSitePolicies extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLoginSitePolicies()`
  `InternalLoginSitePolicies(int minPasswordLength, boolean isDigitRequired, boolean isMixedCaseRequired, int sizeHistoryList, int passwordChangeDelayMinutes, int expirationDays, int numFailuresForLockout, int lockoutInMinutes, int daysToSuspension)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getDaysToSuspension()`
  `final int`
  `getExpirationDays()`
  `final int`
  `getLockoutInMinutes()`
  `final int`
  `getMinPasswordLength()`
  `final int`
  `getNumFailuresForLockout()`
  `final int`
  `getPasswordChangeDelayMinutes()`
  `final int`
  `getSizeHistoryList()`
  `final boolean`
  `isDigitRequired()`
  `final boolean`
  `isMixedCaseRequired()`
  `final void`
  `setDaysToSuspension(int daysToSuspension)`
  `final void`
  `setDigitRequired(boolean isDigitRequired)`
  `final void`
  `setExpirationDays(int expirationDays)`
  `final void`
  `setLockoutInMinutes(int lockoutInMinutes)`
  `final void`
  `setMinPasswordLength(int minPasswordLength)`
  `final void`
  `setMixedCaseRequired(boolean isMixedCaseRequired)`
  `final void`
  `setNumFailuresForLockout(int numFailuresForLockout)`
  `final void`
  `setPasswordChangeDelayMinutes(int passwordChangeDelayMinutes)`
  `final void`
  `setSizeHistoryList(int sizeHistoryList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalLoginSitePolicies

    public InternalLoginSitePolicies()

  - ### InternalLoginSitePolicies

    public InternalLoginSitePolicies(int minPasswordLength, boolean isDigitRequired, boolean isMixedCaseRequired, int sizeHistoryList, int passwordChangeDelayMinutes, int expirationDays, int numFailuresForLockout, int lockoutInMinutes, int daysToSuspension)

- ## Method Details

  - ### getDaysToSuspension

    public final int getDaysToSuspension()

  - ### setDaysToSuspension

    public final void setDaysToSuspension(int daysToSuspension)

  - ### getExpirationDays

    public final int getExpirationDays()

  - ### setExpirationDays

    public final void setExpirationDays(int expirationDays)

  - ### isDigitRequired

    public final boolean isDigitRequired()

  - ### setDigitRequired

    public final void setDigitRequired(boolean isDigitRequired)

  - ### isMixedCaseRequired

    public final boolean isMixedCaseRequired()

  - ### setMixedCaseRequired

    public final void setMixedCaseRequired(boolean isMixedCaseRequired)

  - ### getLockoutInMinutes

    public final int getLockoutInMinutes()

  - ### setLockoutInMinutes

    public final void setLockoutInMinutes(int lockoutInMinutes)

  - ### getMinPasswordLength

    public final int getMinPasswordLength()

  - ### setMinPasswordLength

    public final void setMinPasswordLength(int minPasswordLength)

  - ### getNumFailuresForLockout

    public final int getNumFailuresForLockout()

  - ### setNumFailuresForLockout

    public final void setNumFailuresForLockout(int numFailuresForLockout)

  - ### getPasswordChangeDelayMinutes

    public final int getPasswordChangeDelayMinutes()

  - ### setPasswordChangeDelayMinutes

    public final void setPasswordChangeDelayMinutes(int passwordChangeDelayMinutes)

  - ### getSizeHistoryList

    public final int getSizeHistoryList()

  - ### setSizeHistoryList

    public final void setSizeHistoryList(int sizeHistoryList)